Dancer2::Core::Role::HasConfig(3pm)

NAME
Dancer2::Core::Role::HasConfig - Role that represents the config of Dancer2 App

VERSION
version 2.1.0

DESCRIPTION
This role provides a "config" attribute that is used to read the configuration. When accessing the first time, it calls method _build_config() which must be implemented by the using class. This method should return the whole config which has been created by executing one or more ConfigReader packages.

Also provides a setting() method which is supposed to be used by externals to read/write config entries.

ATTRIBUTES

  config
Returns the whole configuration.

METHODS

  settings
Alias for config. Equivalent to <<$object->config>>.

  setting
Get or set an element from the configuration.

  has_setting
Verifies that a key exists in the configuration.

AUTHOR
Dancer Core Developers

COPYRIGHT AND LICENSE
This software is copyright (c) 2026 by Alexis Sukrieh.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.